Buy Philips KeraShine Straightener HP8316 Online in Sri Lanka - SINGER
Singer App icon
Singer Sri Lanka
Singer (Sri Lanka) PLC
Free
DOWNLOAD
Philips KeraShine Straightener HP8316

PRODUCT CODE: PH-HP8316

0
0
0
0
0

Rs. 24,999

Reward Points Icon

Earn 125 RED points with this purchase More Info

Offer Icon

Pay in 3 X Rs. 8,333 with mint-pay koko

This product is out of stock in our website.
But, you can find a store near you to purchase offline.

Delivery - Standard 3 To 5 Working Days.

1 Years(s) Manufacturer Warranty

Find your nearest store to purchase offline.


www.singersl.com

Type Hair Straighteners
Temperature Settings Styling Temperature 210°C
Instant Heat Up Heating Time: 60 sec
Technology This Philips Kerashine Straightener With Ionic Technology, And Keratin Coating Will Help You Get The Beautiful Hair And Style You Want In Less Time.
Plate Size 47x75mm
Plate Material Keratin Ceramic Plates
Special Features These Extra Wide Straightening Plates Have Been Designed Specifically For Thick Or Long Hair. The Increased Plate Width Can Straighten More Hair In One Go And Will Help To Reduce The Time Required To Style.
Cable Cable Length: 1.8 m
Voltage Worldwide V
Other Information Give Your Hair Instant Care With Ionic Conditioning. Charged Negative Ions Eliminate Static, Condition Your Hair, And Smooth The Hair Cuticles To Intensify Shine And Glossiness. The Result Is Smooth And Frizz-Free Hair With Beautiful Shine. Comses With Plate Lock, Storage Hook,
Warranty 1 Year

No Reviews Yet

Be the first to review this product!

  1. Proof of identity - NIC, driving licence or passport.
  2. Age - should be above 18 years.
  3. Proof of residence by submitting one of the below (last bill):
    • Electricity Bill
    • Water Bill
    • Land phone Bill
  4. Proof of income – Ability to provide one of the following documents:
    • Pay Slip
    • Business registration certificate
    • Profit and loss statement
    • Certified income expenses statement for self employed
    • Any other
  5. Two nonrelated guarantors with repayment ability.

  1. Original documents as specified above.
  2. Additional conditions as applicable.
  3. Any further requirements as per the bank's policy.
Product Enquiry
Only letters and spaces allowed
10-15 digits only

Similar Products

Singer Hand Carry Hair Dryer BY503
sale

SIN-BY503

0
0
0
0
0
Singer Hand Carry Hair Dryer BY503
Rs 4,049
Rs 4,499 10% Off
Philips OneBlade Face Rechargeable Shaver QP1424

PH-QP1424

0
0
0
0
0
Philips OneBlade Face Rechargeable Shaver QP1...
Rs 13,950
Philips Beard Trimmer BT1230 - Stainless Steel Blades

PH-NBT1230

0
0
0
0
0
Philips Beard Trimmer BT1230 - Stainless Stee...
Rs 6,950
Singer Rechargeable Hair Clipper With Two Detachable Combs
sale

SIN-RFC-2012

0
0
0
0
0
Singer Rechargeable Hair Clipper With Two Det...
Rs 4,319
Rs 5,399 20% Off
Singer Multi Functional Hair Trimmer - SIN-RFC-2058
sale

SIN-RFC-2058

0
0
0
0
0
Singer Multi Functional Hair Trimmer - SIN-RF...
Rs 7,649
Rs 8,499 10% Off
Phlips Nose Trimmer NT3650 - Trim Nose, Ear & Brows Hair

PH-NNT3650

0
0
0
0
0
Phlips Nose Trimmer NT3650 - Trim Nose, Ear &...
Rs 8,950
Singer Hair Clipper - SIN-RFC-1819
sale

SIN-RFC-1819

0
0
0
0
0
Singer Hair Clipper - SIN-RFC-1819
Rs 5,399
Rs 5,999 10% Off
Philips Beard Trimmer BT1235 - Stainless Steel Blades

PH-NBT1235

0
0
0
0
0
Philips Beard Trimmer BT1235 - Stainless Stee...
Rs 8,950

Frequently Bought Items

BLACK+DECKER Pressure Washer BEPW1300/1600 - 1300W, 110Bars

BD-BEPW1300-B5

0
0
0
0
0
BLACK+DECKER Pressure Washer BEPW1300/1600 -...
Rs 47,900
BLACK+DECKER Digital AeroFry Air Fryer AF400-B5 - 4.0L

BD-AF400-B5

0
0
0
0
0
BLACK+DECKER Digital AeroFry Air Fryer AF400-...
Rs 59,900
Canon Ink Cartridge - PG-745S (Black)

CAN-C-745S-B

0
0
0
0
0
Canon Ink Cartridge - PG-745S (Black)
Rs 5,299
Indesit Cooker Hood, Chimney Type, Air Flow 559m3h

IND-IHGC94FLMX

0
0
0
0
0
Indesit Cooker Hood, Chimney Type, Air Flow 5...
Rs 108,099
Panasonic Hair Dryer EH-ND21 - 1200W ( Pink & White)
sale

PN-EH-ND21-P605

0
0
0
0
0
Panasonic Hair Dryer EH-ND21 - 1200W ( Pink &...
Rs 7,019
Rs 7,799 10% Off
Islandwide Delivery
Islandwide Delivery
Fast, reliable delivery
After Sales Service
After Sales Service
Confidence on all your devices
Top-notch Support
Top-notch Support
Here whenever you need us
Trusted Warranty
Trusted Warranty
Warranty for all products